## kdepim-addons 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.3")

project(kdepim-addons VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/
    ${ECM_MODULE_PATH}
)
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "6")

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    examples/*.cpp
    examples/*.h
    examples/*.c
    kmailtransport/*.cpp
    kmailtransport/*.h
    kmailtransport/*.c
    plugins/*.cpp
    plugins/*.h
    plugins/*.c
    sieveeditor/*.cpp
    sieveeditor/*.h
    sieveeditor/*.c
    akonadi-import-wizard/*.cpp
    akonadi-import-wizard/*.h
    akonadi-import-wizard/*.c
    kaddressbook/*.cpp
    kaddressbook/*.h
    kaddressbook/*.c
    kmail/*.cpp
    kmail/*.h
    kmail/*.c
    korganizer/*.cpp
    korganizer/*.h
    korganizer/*.c
    kldap/*.cpp
    kldap/*.h
)

kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(KTEXTADDONS_MIN_VERSION "1.6.0")
set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.6.0")
include_directories(${CMAKE_CURRENT_BINARY_DIR})


option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)

option(
    OPTION_ADD_AUTOGENERATETEXT
    "Add support for autogenerate text plugin"
    ON
)

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED WebEngineWidgets Widgets Test
)

find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Declarative ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
if(NOT WIN32)
    find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()

set(MAILCOMMON_LIB_VERSION "6.5.3")
set(GRAVATAR_LIB_VERSION "6.5.3")
set(PIMCOMMON_LIB_VERSION "6.5.3")
set(GRANTLEETHEME_LIB_VERSION "6.5.3")
set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
set(LIBKDEPIM_LIB_VERSION "6.5.3")
set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.3")
set(LIBKLEO_LIB_VERSION "6.5.3")
set(AKONADI_LIB_VERSION "6.5.3")
set(INCIDENCEEDITOR_LIB_VERSION "6.5.3")
set(KTNEF_LIB_VERSION "6.5.3")
set(MESSAGELIB_LIB_VERSION "6.5.3")
set(AKONADICALENDAR_LIB_VERSION "6.5.3")
set(CALENDAR_UTILS_VERSION "6.5.3")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
set(KIMAP_LIB_VERSION "6.5.3")
set(LIBKSIEVE_LIB_VERSION "6.5.3")
set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
set(AKONADICONTACT_LIB_VERSION "6.5.3")
set(IMPORTWIZARD_LIB_VERSION "6.5.3")
set(MAILIMPORTER_LIB_VERSION "6.5.3")
set(KPIMPKPASS_LIB_VERSION "6.5.3")
set(KPIMITINERARY_LIB_VERSION "6.5.3")
set(KPIM_MIME_VERSION "6.5.3")
set(KLDAP_LIB_VERSION "6.5.3")

find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AddressbookImportExport
    ${KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
find_package(KF6TextGrammarCheck ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextTranslator ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6IncidenceEditor
    ${INCIDENCEEDITOR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6CalendarSupport
    ${CALENDARSUPPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiCalendar
    ${AKONADICALENDAR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6IdentityManagementCore
    ${KIDENTITYMANAGEMENT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

if(OPTION_ADD_AUTOGENERATETEXT)
    find_package(
        KF6TextAutoGenerateText
        ${KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION}
        CONFIG
    )
    set_package_properties(
        KF6TextAutoGenerateText
        PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Required for building AI plugins support"
            DESCRIPTION "Use AI plugin"
    )
endif()

find_package(KPim6Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiContactWidgets
    ${AKONADICONTACT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6ImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(
    KPim6MailImporterAkonadi
    ${MAILIMPORTER_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6PkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextTemplate CONFIG REQUIRED)

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION "Allow to compile with plasma activities"
                    TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(KDEPIM_ADDONS_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.41)
    set(HAVE_TEXTUTILS_SYNTAXHIGHLIGTHER_SUPPORT TRUE)
endif()

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.48)
    set(HAVE_TEXTUTILS_QUICKSEARCH_SUPPORT TRUE)
endif()

configure_file(
    config-kdepim-addons.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-addons.h
)

# For adblocker
find_package(Corrosion CONFIG)
set_package_properties(
    Corrosion
    PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "Required to build the builtin adblocker"
        DESCRIPTION
            "CMake scripts to seamlessly build and link to targets using cargo"
        URL https://github.com/corrosion-rs/corrosion
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

if(KDEPIM_ENTERPRISE_BUILD)
    set(KDEPIM_ENTERPRISE_BUILD true)
else()
    set(KDEPIM_ENTERPRISE_BUILD false)
endif()
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
# Extra package
find_package(Gpgmepp 1.23.2 CONFIG)
set_package_properties(
    Gpgmepp
    PROPERTIES
        DESCRIPTION "GpgME library"
        URL "https://www.gnupg.org"
        TYPE REQUIRED
)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(QTCREATOR_TEMPLATE_INSTALL_DIR
    ${KDE_INSTALL_DATADIR}/qtcreator/templates
    CACHE PATH
    "Define qtcreator template install path (default is /usr/share/qtcreator/templates)"
)

find_package(Discount "2" MODULE)
set_package_properties(
    "discount"
    PROPERTIES
        DESCRIPTION
            "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Generate Markdown file."
)

if(discount_FOUND)
    if(DEFINED PC_LIBMARKDOWN_VERSION)
        if(${PC_LIBMARKDOWN_VERSION} VERSION_GREATER "2.2.5")
            set(DISCOUNT_HAS_HIGHLIGHTING_SUPPORT TRUE)
            message(
                STATUS
                "Discount ${PC_LIBMARKDOWN_VERSION}: has highlighting support"
            )

            # in 3.0.0d, the signature for mkd_e_code_format changed
            if(${PC_LIBMARKDOWN_VERSION} VERSION_GREATER_EQUAL "3.0.0")
                if(${PC_LIBMARKDOWN_VERSION} MATCHES "[abc]$")
                    set(DISCOUNT_NEW_HIGHLIGHTING_SIGNATURE FALSE)
                else()
                    set(DISCOUNT_NEW_HIGHLIGHTING_SIGNATURE TRUE)
                endif()
            endif()
        endif()
    endif()
endif()

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

option(
    BUILD_SCAM_SETTINGS_PLUGINS
    "Build scam settings plugins (In progress)"
    OFF
)

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
add_subdirectory(kldap)
if(TARGET KPim6::ImportWizard)
    add_subdirectory(akonadi-import-wizard)
endif()
if(TARGET KF6::TextAutoGenerateText)
    add_subdirectory(pimautogeneratetext)
endif()

=== akonadi-import-wizard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"importwizard_plugins\")
add_subdirectory(evolutionv1)
add_subdirectory(evolutionv2)
add_subdirectory(geary)
if(APPLE)
    add_subdirectory(mailapp)
endif()
add_subdirectory(opera)
if(WIN32)
    add_subdirectory(pmail)
    add_subdirectory(thebat)
    add_subdirectory(oe)
endif()

=== kaddressbook/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(editorpages)
add_subdirectory(plugins)
add_subdirectory(importexportplugins)

=== pimautogeneratetext/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libpimautogeneratetext\")

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== akonadi-import-wizard/mailapp/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(mailappimporterplugin INSTALL_NAMESPACE importwizard)
target_sources(mailappimporterplugin PRIVATE mailappimportdata.cpp)

target_link_libraries(
    mailappimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::IdentityManagementCore
    KPim6::MailCommon
)

=== akonadi-import-wizard/opera/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(operaimporterplugin INSTALL_NAMESPACE pim6/importwizard)
target_sources(
    operaimporterplugin
    PRIVATE
        operaaddressbook.cpp
        operaimportdata.cpp
        operasettings.cpp
        operaaddressbook.h
        operaimportdata.h
        operasettings.h
)

ecm_qt_declare_logging_category(operaimporterplugin HEADER operaplugin_debug.h IDENTIFIER OPERAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.operaplugin)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(operaimporterplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(
    operaimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::MailCommon
    KPim6::IdentityManagementCore
)

=== examples/messageviewergrantleetheme/CMakeLists.txt ===
install(DIRECTORY themes DESTINATION ${KDE_INSTALL_DATADIR}/messageviewer)

=== kaddressbook/editorpages/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"cryptopageplugin\")

########### next target ###############
add_library(cryptopageplugin MODULE)
target_sources(cryptopageplugin PRIVATE cryptopageplugin.cpp cryptopageplugin.h)

target_link_libraries(
    cryptopageplugin
    KF6::Contacts
    KPim6::AkonadiContactWidgets
    KPim6::Libkleo
    KF6::IconThemes
    KF6::I18n
    KF6::Completion
    Gpgmepp
)

install(
    TARGETS cryptopageplugin
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/contacteditor/editorpageplugins/
)

=== kaddressbook/plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook_plugins\")

add_subdirectory(mergelib)
add_subdirectory(mergecontacts)
add_subdirectory(searchduplicates)
add_subdirectory(sendvcards)
add_subdirectory(sendmail)
add_subdirectory(checkgravatar)

=== kmail/editorconvertertextplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editorconvertertext_plugins\")
if(discount_FOUND)
    add_subdirectory(markdown)
endif()

=== kmail/editorsendcheckplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editorsendcheck_plugins\")
add_subdirectory(confirm-address)
add_subdirectory(checkbeforesend)
add_subdirectory(automaticaddcontacts)

=== korganizer/emailaddressselectionldapdialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_CURRENT_BINARY_DIR})

#if(BUILD_TESTING)
#    add_subdirectory(tests)
#    add_subdirectory(autotests)
#endif()

kcoreaddons_add_plugin(emailaddressselectionldapdialogplugin INSTALL_NAMESPACE pim6/akonadi)
target_sources(
    emailaddressselectionldapdialogplugin
    PRIVATE
        emailaddressselectionldapdialog.cpp
        emailaddressselectionldapdialog.h
)

target_link_libraries(
    emailaddressselectionldapdialogplugin
    KF6::I18n
    KPim6::AkonadiContactCore
    KPim6::PimCommonAkonadi
)

=== debian/changelog ===
kdepim-addons (25.08.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Replace dbus-dependency with dbus-daemon (Closes: #1122616).

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Dec 2025 16:13:04 +0100

kdepim-addons (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:13 +0100

kdepim-addons (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Add patch to match the version of librust-adblock-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:26:07 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               ca-certificates,
               cargo,
               cmake (>= 3.16~),
               corrosion,
               dbus-daemon <!nocheck>,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicalendar-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libcalendarsupport-dev (>= 4:25.08.3~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.08.3~),
               libgravatar-dev (>= 4:25.08.3~),
               libincidenceeditor-dev (>= 25.08.3~),
               libkaddressbook-dev (>= 4:25.08.3~),
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6configwidgets-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6declarative-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6holidays-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6prison-dev (>= 6.14.0~),
               libkf6syntaxhighlighting-dev (>= 6.14.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 24.12.2~),
               libkimap-dev (>= 25.08.3~),
               libkitinerary-dev (>= 25.08.3~),
               libkldap-dev (>= 25.08.3~),
               libkleo-dev (>= 4:25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libkpimimportwizard-dev (>= 4:25.08.3~),
               libkpimtextedit-dev (>= 25.08.3~),
               libkpkpass-dev (>= 25.08.3~),
               libksieve-dev (>= 4:25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               libktnef-dev (>= 4:25.08.3~),
               libmailcommon-dev (>= 4:25.08.3~),
               libmailimporter-dev (>= 4:25.08.3~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:25.08.3~),
               libplasmaactivities-dev (>= 6.3.0~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               messagelib-dev (>= 4:25.08.3~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0~),
               rustc,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 25.08.3+p24.04+vunstable+git20251204.0342

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,20 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/
     ${ECM_MODULE_PATH}
 )
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION beta)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -76,8 +76,8 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
-set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.6.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "${KTEXTADDONS_MIN_VERSION}")
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 
@@ -119,31 +119,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.5.3")
-set(GRAVATAR_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(GRANTLEETHEME_LIB_VERSION "6.5.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
-set(LIBKDEPIM_LIB_VERSION "6.5.3")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.3")
-set(LIBKLEO_LIB_VERSION "6.5.3")
-set(AKONADI_LIB_VERSION "6.5.3")
-set(INCIDENCEEDITOR_LIB_VERSION "6.5.3")
-set(KTNEF_LIB_VERSION "6.5.3")
-set(MESSAGELIB_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(CALENDAR_UTILS_VERSION "6.5.3")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
-set(KIMAP_LIB_VERSION "6.5.3")
-set(LIBKSIEVE_LIB_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(IMPORTWIZARD_LIB_VERSION "6.5.3")
-set(MAILIMPORTER_LIB_VERSION "6.5.3")
-set(KPIMPKPASS_LIB_VERSION "6.5.3")
-set(KPIMITINERARY_LIB_VERSION "6.5.3")
-set(KPIM_MIME_VERSION "6.5.3")
-set(KLDAP_LIB_VERSION "6.5.3")
+set(MAILCOMMON_LIB_VERSION "6.6.40")
+set(GRAVATAR_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(GRANTLEETHEME_LIB_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.6.40")
+set(LIBKLEO_LIB_VERSION "6.6.40")
+set(AKONADI_LIB_VERSION "6.6.40")
+set(INCIDENCEEDITOR_LIB_VERSION "6.6.40")
+set(KTNEF_LIB_VERSION "6.6.40")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(CALENDAR_UTILS_VERSION "6.6.40")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
+set(KIMAP_LIB_VERSION "6.6.40")
+set(LIBKSIEVE_LIB_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(IMPORTWIZARD_LIB_VERSION "6.6.40")
+set(MAILIMPORTER_LIB_VERSION "6.6.40")
+set(KPIMPKPASS_LIB_VERSION "6.6.40")
+set(KPIMITINERARY_LIB_VERSION "6.6.40")
+set(KPIM_MIME_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -233,7 +233,14 @@
     REQUIRED
 )
 find_package(KPim6PkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG)
+set_package_properties(
+                KPim6Itinerary
+                PROPERTIES
+		DESCRIPTION "Allow to build itinerary plugins"
+                    TYPE OPTIONAL
+            )
+
 find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF6TextTemplate CONFIG REQUIRED)
 
@@ -248,7 +255,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
@@ -261,14 +268,6 @@
             set(KDEPIM_ADDONS_HAVE_ACTIVITY_SUPPORT TRUE)
         endif()
     endif()
-endif()
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.41)
-    set(HAVE_TEXTUTILS_SYNTAXHIGHLIGTHER_SUPPORT TRUE)
-endif()
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.48)
-    set(HAVE_TEXTUTILS_QUICKSEARCH_SUPPORT TRUE)
 endif()
 
 configure_file(
@@ -307,7 +306,7 @@
         URL "https://www.gnupg.org"
         TYPE REQUIRED
 )
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
@@ -380,5 +379,4 @@
 endif()
 if(TARGET KF6::TextAutoGenerateText)
     add_subdirectory(pimautogeneratetext)
-endif()
-
+    add_subdirectory(kaichat-plugins)

=== plugins/messageviewerplugins/common/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(translatorplugin)
add_subdirectory(expandurlplugin)

if(TARGET KF6::TextAutoGenerateText)
    add_subdirectory(messagevieweraiplugin)
endif()

=== kmail/editorplugins/insertshorturl/shorturlengineplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(tinyurlengineplugin/)
add_subdirectory(isgdshorturlengineplugin)
add_subdirectory(triopabshorturlengineplugin/)

=== debian/changelog ===
kdepim-addons (25.08.3+p24.04+vunstable+git20251204.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:42:22 +0000

kdepim-addons (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:31 +1000

## kdepim-addons 25.08.3+p24.04+vunstable+git20251206.1032

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kdepim-addons (25.08.3+p24.04+vunstable+git20251206.1032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:32:10 +0000

## kdepim-addons 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
@@ -76,8 +77,8 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
-set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "${KTEXTADDONS_MIN_VERSION}")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.8.0")
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 
@@ -119,31 +120,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.6.40")
-set(GRAVATAR_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(GRANTLEETHEME_LIB_VERSION "6.6.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.6.40")
-set(LIBKLEO_LIB_VERSION "6.6.40")
-set(AKONADI_LIB_VERSION "6.6.40")
-set(INCIDENCEEDITOR_LIB_VERSION "6.6.40")
-set(KTNEF_LIB_VERSION "6.6.40")
-set(MESSAGELIB_LIB_VERSION "6.6.40")
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(CALENDAR_UTILS_VERSION "6.6.40")
-set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
-set(KIMAP_LIB_VERSION "6.6.40")
-set(LIBKSIEVE_LIB_VERSION "6.6.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(AKONADICONTACT_LIB_VERSION "6.6.40")
-set(IMPORTWIZARD_LIB_VERSION "6.6.40")
-set(MAILIMPORTER_LIB_VERSION "6.6.40")
-set(KPIMPKPASS_LIB_VERSION "6.6.40")
-set(KPIMITINERARY_LIB_VERSION "6.6.40")
-set(KPIM_MIME_VERSION "6.6.40")
-set(KLDAP_LIB_VERSION "6.6.40")
+set(MAILCOMMON_LIB_VERSION "6.5.80")
+set(GRAVATAR_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(GRANTLEETHEME_LIB_VERSION "6.5.80")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.80")
+set(LIBKLEO_LIB_VERSION "6.5.80")
+set(AKONADI_LIB_VERSION "6.5.80")
+set(INCIDENCEEDITOR_LIB_VERSION "6.5.80")
+set(KTNEF_LIB_VERSION "6.5.80")
+set(MESSAGELIB_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(CALENDAR_UTILS_VERSION "6.5.80")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.80")
+set(KIMAP_LIB_VERSION "6.5.80")
+set(LIBKSIEVE_LIB_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
+set(AKONADICONTACT_LIB_VERSION "6.5.80")
+set(IMPORTWIZARD_LIB_VERSION "6.5.80")
+set(MAILIMPORTER_LIB_VERSION "6.5.80")
+set(KPIMPKPASS_LIB_VERSION "6.5.80")
+set(KPIMITINERARY_LIB_VERSION "6.5.80")
+set(KPIM_MIME_VERSION "6.5.80")
+set(KLDAP_LIB_VERSION "6.5.80")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -214,6 +215,10 @@
             PURPOSE "Required for building AI plugins support"
             DESCRIPTION "Use AI plugin"
     )
+
+    if(${KF6TextAutoGenerateText_VERSION} VERSION_GREATER_EQUAL 1.8.63)
+        set(HAVE_NEW_TOOLS_PLUGINS_SUPPORT TRUE)
+    endif()
 endif()
 
 find_package(KPim6Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
@@ -255,7 +260,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.4.0")
+            find_package(PlasmaActivities "6.3.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
@@ -269,6 +274,15 @@
         endif()
     endif()
 endif()
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.41)
+    set(HAVE_TEXTUTILS_SYNTAXHIGHLIGTHER_SUPPORT TRUE)
+endif()
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.48)
+    set(HAVE_TEXTUTILS_QUICKSEARCH_SUPPORT TRUE)
+endif()
+
 
 configure_file(
     config-kdepim-addons.h.in
@@ -367,16 +381,3 @@
     OFF
 )
 
-add_subdirectory(plugins)
-add_subdirectory(korganizer)
-add_subdirectory(kmail)
-add_subdirectory(kaddressbook)
-add_subdirectory(sieveeditor)
-add_subdirectory(kmailtransport)
-add_subdirectory(kldap)
-if(TARGET KPim6::ImportWizard)
-    add_subdirectory(akonadi-import-wizard)
-endif()
-if(TARGET KF6::TextAutoGenerateText)
-    add_subdirectory(pimautogeneratetext)
-    add_subdirectory(kaichat-plugins)

=== kaichat-plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(addressbook)
add_subdirectory(calendar)

=== plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(customtoolsplugins)
add_subdirectory(messageviewerplugins)
add_subdirectory(messageviewerheaderplugins)
add_subdirectory(messageviewer)
add_subdirectory(plasma)

add_subdirectory(webengineurlinterceptor)
add_subdirectory(templateparser)
add_subdirectory(messageviewerconfigureplugins)

=== sieveeditor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"sieveeditor_plugins\")
add_subdirectory(imapfoldercompletion)
add_subdirectory(emaillineedit)

=== kaichat-plugins/addressbook/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kaichat_addressbook\")

kcoreaddons_add_plugin(kaichat_addressbookplugin INSTALL_NAMESPACE autogeneratetext/toolplugins)

ecm_qt_declare_logging_category(kaichat_addressbookplugin HEADER kaichat_addressbookplugin_debug.h IDENTIFIER KAICHAT_ADDRESSBOOK_LOG
    CATEGORY_NAME org.kde.kaichat_addressbookplugin DESCRIPTION "kaichat (addressbook)" EXPORT KDEPIMADDONS
)

target_sources(
    kaichat_addressbookplugin
    PRIVATE
    kaichataddressbookplugin.cpp
    kaichataddressbookplugin.h
    kaichataddressbookplugindialog.cpp
    kaichataddressbookplugindialog.h
    kaichataddressbookpluginwidget.cpp
    kaichataddressbookpluginwidget.h
    kaichataddressbookpluginjob.h
    kaichataddressbookpluginjob.cpp
    kaichataddressbookpluginutils.cpp
    kaichataddressbookpluginutils.h
)
target_link_libraries(kaichat_addressbookplugin KF6::TextAutoGenerateText KPim6::AkonadiContactCore)

=== kaichat-plugins/calendar/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kaichat_calendar\")

kcoreaddons_add_plugin(kaichat_calendarplugin INSTALL_NAMESPACE autogeneratetext/toolplugins)

ecm_qt_declare_logging_category(kaichat_calendarplugin HEADER kaichat_calendarplugin_debug.h IDENTIFIER KAICHAT_CALENDAR_LOG
    CATEGORY_NAME org.kde.kaichat_calendarplugin DESCRIPTION "kaichat (calendar)" EXPORT KDEPIMADDONS
)

target_sources(
    kaichat_calendarplugin
    PRIVATE
    kaichatcalendarplugin.cpp
    kaichatcalendarplugin.h
    kaichatcalendarplugindialog.cpp
    kaichatcalendarplugindialog.h
    kaichatcalendarpluginwidget.cpp
    kaichatcalendarpluginwidget.h
    kaichatcalendarpluginjob.h
    kaichatcalendarpluginjob.cpp
    kaichatcalendarpluginutils.cpp
    kaichatcalendarpluginutils.h
)
target_link_libraries(kaichat_calendarplugin KF6::TextAutoGenerateText KPim6::AkonadiContactCore)

=== kmail/editorplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editor_plugins\")
add_subdirectory(insertspecialcharacter)
add_subdirectory(changecase)
add_subdirectory(zoomtext)
add_subdirectory(nonbreakingspace)
add_subdirectory(autocorrection)
add_subdirectory(insertemail)
add_subdirectory(insertshorturl)
add_subdirectory(sharetext)
add_subdirectory(quicktext)
if(TARGET KF6::TextAutoGenerateText)
    add_subdirectory(askgeneratetext)
    add_subdirectory(aitool)
    add_subdirectory(autogenerateanswers)
endif()

=== plugins/messageviewer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(bodypartformatter)
if (TARGET KPim6::Itinerary)
    add_subdirectory(ktexttemplate)
endif ()

=== plugins/plasma/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(pimeventsplugin)

=== kmail/editorplugins/autogenerateanswers/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(kmail_autogenerateanswerseditorplugin INSTALL_NAMESPACE pim6/kmail/plugineditor)
target_sources(
    kmail_autogenerateanswerseditorplugin
    PRIVATE
        autogenerateanswerseditor.cpp
        autogenerateanswerseditor.h
        autogenerateanswerseditorinterface.h
        autogenerateanswerseditorinterface.cpp
        autogenerateanswerseditordialog.h
        autogenerateanswerseditordialog.cpp
        autogenerateanswerseditorwidget.h
        autogenerateanswerseditorwidget.cpp
        autogenerateanswerseditorutils.h
        autogenerateanswerseditorutils.cpp
        autogenerateanswerseditortextedit.h
        autogenerateanswerseditortextedit.cpp
)

ecm_qt_declare_logging_category(kmail_autogenerateanswerseditorplugin HEADER autogenerateanswerseditorplugin_debug.h IDENTIFIER KMAIL_EDITOR_AUTOGENERATEANSWER_PLUGIN_LOG CATEGORY_NAME org.kde.pim.kmail_autogenerateanswerseditorplugin
    DESCRIPTION "kdepim-addons (kmail autogenerate answer plugins)"
    EXPORT KDEPIMADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kmail_autogenerateanswerseditorplugin
        PROPERTIES UNITY_BUILD ON
    )
endif()

target_link_libraries(
    kmail_autogenerateanswerseditorplugin
    KPim6::MessageComposer
    KF6::XmlGui
    KF6::I18n
    KPim6::AutoGenerateText
    KF6::TextAutoGenerateText
)

=== kmail/editorplugins/insertshorturl/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(shorturlpluginprivate)
target_sources(
    shorturlpluginprivate
    PRIVATE
        shorturlengineplugin/shorturlengineinterface.cpp
        shorturlengineplugin/shorturlengineplugin.cpp
        shorturlengineplugin/shorturlenginepluginmanager.cpp
        shorturlengineplugin/shorturlengineinterface.h
        shorturlengineplugin/shorturlengineplugin.h
        shorturlengineplugin/shorturlenginepluginmanager.h
)

generate_export_header(shorturlpluginprivate BASE_NAME shorturl)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(shorturlpluginprivate PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(
    shorturlpluginprivate
    PRIVATE Qt::Network KF6::I18n KF6::CoreAddons Qt::Gui
)

set_target_properties(
    shorturlpluginprivate
    PROPERTIES
        VERSION ${KDEPIMADDONS_LIB_VERSION}
        SOVERSION ${KDEPIMADDONS_LIB_SOVERSION}
)

install(
    TARGETS shorturlpluginprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
)

add_subdirectory(shorturlengineplugin)
kcoreaddons_add_plugin(kmail_insertshorturleditorplugin INSTALL_NAMESPACE pim6/kmail/plugineditor)

target_sources(
    kmail_insertshorturleditorplugin
    PRIVATE
        insertshorturlplugineditor.cpp
        insertshorturlplugineditorinterface.cpp
        insertshorturlconfiguredialog.cpp
        insertshorturlconfigurewidget.cpp
        insertshorturlplugineditor.h
        insertshorturlplugineditorinterface.h
        insertshorturlconfiguredialog.h
        insertshorturlconfigurewidget.h
        ${pimcommon_shorturlplugin_shorturllib_SRCS}
)
ecm_qt_declare_logging_category(kmail_insertshorturleditorplugin HEADER kmail_insertshorturl_debug.h IDENTIFIER KMAIL_INSERTSHORTURL_LOG CATEGORY_NAME org.kde.pim.kmail_insertshorturl
    DESCRIPTION "kdepim-addons (kmail insert short url plugin)"
    EXPORT KDEPIMADDONS
)

target_link_libraries(
    kmail_insertshorturleditorplugin
    KPim6::MessageComposer
    KF6::XmlGui
    KF6::I18n
    shorturlpluginprivate
    KF6::CoreAddons
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== kmail/editorsendcheckplugins/checkbeforesend/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/)
kcoreaddons_add_plugin(kmail_checkbeforesendeditorplugin INSTALL_NAMESPACE pim6/kmail/plugincheckbeforesend)

target_sources(
    kmail_checkbeforesendeditorplugin
    PRIVATE
        checkbeforesendplugin.cpp
        checkbeforesendinterface.cpp
        checkbeforesendupdatesmtpdialog.cpp
        configurewidget/checkbeforesendconfigurewidget.cpp
        configurewidget/checkbeforesendconfiguredialog.cpp
        duplicateemails/checkduplicateemailsdialog.cpp
        duplicateemails/checkduplicateemailsjob.cpp
        sendattachments/checkattachmentdialog.cpp
        sendattachments/checkattachmentjob.cpp
        checkbeforesendplugin.h
        checkbeforesendinterface.h
        checkbeforesendupdatesmtpdialog.h
        configurewidget/checkbeforesendconfigurewidget.h
        configurewidget/checkbeforesendconfiguredialog.h
        duplicateemails/checkduplicateemailsdialog.h
        duplicateemails/checkduplicateemailsjob.h
        sendattachments/checkattachmentdialog.h
        sendattachments/checkattachmentjob.h
)

ecm_qt_declare_logging_category(kmail_checkbeforesendeditorplugin HEADER checkbeforesendplugin_debug.h IDENTIFIER KMAIL_EDITOR_checkbeforesend_PLUGIN_LOG CATEGORY_NAME org.kde.pim.kmail_checkbeforesendplugin
    DESCRIPTION "kdepim-addons (check before send editor plugin)"
    EXPORT KDEPIMADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kmail_checkbeforesendeditorplugin
        PROPERTIES UNITY_BUILD ON
    )
endif()

target_link_libraries(
    kmail_checkbeforesendeditorplugin
    KPim6::MessageComposer
    KF6::I18n
    KF6::Codecs
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
kdepim-addons (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:55:22 +0000

kdepim-addons (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:22:43 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicalendar-dev (>= 4:25.11.80~),
               libakonadicontact-dev (>= 4:25.11.80~),
               libcalendarsupport-dev (>= 4:25.11.80~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.11.80~),
               libgravatar-dev (>= 4:25.11.80~),
               libincidenceeditor-dev (>= 25.11.80~),
               libkaddressbook-dev (>= 4:25.11.80~),
               libkcalendarutils-dev (>= 4:25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6declarative-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.11.80~),
               libkimap-dev (>= 25.11.80~),
               libkitinerary-dev (>= 25.11.80~),
               libkldap-dev (>= 25.11.80~),
               libkleo-dev (>= 4:25.11.80~),
               libkmailtransport-dev (>= 25.11.80~),
               libkmime-dev (>= 25.11.80~),
               libkpimimportwizard-dev (>= 4:25.11.80~),
               libkpimtextedit-dev (>= 25.11.80~),
               libkpkpass-dev (>= 25.11.80~),
               libksieve-dev (>= 4:25.11.80~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:25.11.80~),
               libmailcommon-dev (>= 4:25.11.80~),
               libmailimporter-dev (>= 4:25.11.80~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:25.11.80~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:25.11.80~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.
